API DocumentationManufacturer part specification controller

Get part specifications with filtering

Retrieves a paginated list of part specifications with optional filtering and search

GET
/api/manufacturer/v1/part-specification
AuthorizationBearer <token>

In: header

Query Parameters

filterstring

filter specification

page?integer

Zero-based page index (0..N)

Default0
Range0 <= value
size?integer

The size of the page to be returned

Default20
Range1 <= value
sort?array<string>

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Default["createdAt,DESC"]
search?string

Optional search term

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/part-specification?filter=string&page=0&size=20&sort=createdAt%2CDESC&search=string"
{
  "content": [
    null
  ],
  "totalElements": 0,
  "totalPages": 0,
  "pageNumber": 0,
  "pageSize": 0,
  "isEmpty": true,
  "isFirst": true,
  "isLast": true
}
Empty

Last updated on